//BUSQUEDA DE TABEXP

var contenedorTABEXP = null;

var panelTABEXP = null, panelTABCATRUT = null;

var GridStoreTABEXP = null, gridEjercicios = null;

var currentStrId = "";





function TABEXP_Constructor(intClienteSeleccionado){

	

	strEjercicioForMsg = "";

	//var cuerpo = Ext.getCmp('objdivExpediente');

	//cuerpo.setTitle("Expediente de " + strClienteSeleccionado);

		

	idTab = 'TABEXP';



	var txtBoton = "";



	var sHeight = '80%';

	var sHeightContenedor = 740;

		

	panelTABEXP = new Ext.Panel({

						width:'100%',

						height: 'auto',

						autoScroll:false,

						disabled: false

						

	});

		

	contenedorTABEXP = new Ext.FormPanel({

		labelAlign: 'top',

        labelWidth: 75,

        frame:true,

		bodyStyle:'padding:5px 5px 0',

        width: '100%',

		height:  'auto',

		autoScroll:true,

        items: [ panelTABEXP ]

    });

	

	$("#divExpediente").empty();

	

	cargarPanelTABEXP();

	

}

	  

function cargarPanelTABEXP(){

	

	$.post("vistas/tabExpediente.php", function(data){

		

		$("#divExpediente").html(data);

		

		makeTab();

		//getPeriodoActivo();

		

		if(objClienteSel!=null){



			//getHistorial(objClienteSel.id);



			$("#divExpedientePaciente").find("#txtNombres").val(objClienteSel.nombres);

			$("#divExpedientePaciente").find("#txtApellidos").val(objClienteSel.apellidos);

			$("#divExpedientePaciente").find("#selectSexo").val(objClienteSel.sexo);

			$("#divExpedientePaciente").find("#txtFecNac").val(objClienteSel.fecnac);

			$("#divExpedientePaciente").find("#txtEmail").val(objClienteSel.email);

			$("#divExpedientePaciente").find("#txtTelefono").val(objClienteSel.telefono);



			getData("tblheredofamiliares");

			getData("tblpatologicos");

			//getData("tblnopatologicos");

			//getData("tblginecoobstetricos");

			//getData("tblalergicos");

			





			setAutocomplete( "clientes", $( "#divExpedientePaciente" ).find("#txtPaciente") );

			

			setAutocomplete( "diagnosticos", $( "#tabDiagnostico" ).find("#txtDiagnostico") );

			setAutocomplete( "medicamentos", $( "#tabDiagnostico" ).find("#txtMedicamentos") );

			

			setAutocomplete( "medicamentos", $( "#tabDiagnostico" ).find("#txtEstudios") );



			if(objClienteSel.sexo.toUpperCase()=="F"){

				$("#divExpedienteTabs").find("#divGinecoobstetricos").css({"visibility":"visible","display":"block"});

			}else{

				$("#divExpedienteTabs").find("#divGinecoobstetricos").css({"visibility":"hidden","display":"none"});					

			}

		}

		

	});

}





function getData(strTabla){

	console.log("getData / strTabla: "+ strTabla +" / objClienteSel.id: "+ objClienteSel.id);

	var strDivCon = "", strLastString = "";

	if(strTabla=="tblheredofamiliares"){ strDivCon = "divHeredofamiliares"; strLastString = "HF"; }

	if(strTabla=="tblpatologicos"){ strDivCon = "divPatologicos"; strLastString = "P"; }

	if(strTabla=="tblnopatologicos"){ strDivCon = "divNopatologicos"; strLastString = "NP"; }

	if(strTabla=="tblginecoobstetricos"){ strDivCon = "divGinecoobstetricos"; strLastString = "GO"; }

	if(strTabla=="tblalergicos"){ strDivCon = "divAlergicos"; strLastString = ""; }



	var arrEvents = null;	

	var strUrl = "data/dataExpediente.php?method=getData&strTabla="+ strTabla +"&intCliente="+ objClienteSel.id +"&rnd="+ Math.random();

	

	$.post(strUrl, function(dataNew){

		console.log("dataNew: "+ dataNew);

		if(dataNew!=""){

			var data = $.parseJSON(dataNew);



		 	for (var key in data){

		        var attrName = key;

		        var attrValue = data[key];

		        var strInicio = attrName.substring(0,3);

		        if(strInicio=="str" && attrValue!=""){

			        console.log("attrName: "+ attrName +" / attrValue: "+ attrValue +" / strInicio: "+ strInicio);

			        var strTxtName = attrName.replace("str","txt") + strLastString;

			        //var strVal = data.strDiabetes;

			        //var strVal = data.strDiabetes;

					$("#"+ strDivCon).find("#"+ strTxtName).val( attrValue );

					//$("#divPatologicos").find( "#txtTransfusionesP").removeClass('clsTextAHidden').addClass('clsTextAVisible');

					$("#"+ strDivCon).find("#"+ strTxtName).removeClass('clsTextAHidden').addClass('clsTextAVisible');



		        }

		    }

		    /*

			if(strTabla=="tblheredofamiliares"){

				$("#divHeredofamiliares").find("#txtDiabetesHF").val(data.strDiabetes);

				$("#divHeredofamiliares").find("#txtCardiopatiasHF").val(data.strCardiopatias);

			}

			if(strTabla=="tblpatologicos"){

				$("#divPatologicos").find("#txtHospitalizacionP").val(data.strHospitalizacion);

				if(data.strTransfusiones!=""){ 

					$("#divPatologicos").find("#chkTransfusionesP").prop("checked", true); 

					$("#divPatologicos").find( "#txtTransfusionesP").removeClass('clsTextAHidden').addClass('clsTextAVisible');

				}

				//(syntax) ? document.write("My evil twin emerges"): "";

				$("#divPatologicos").find("#txtTransfusionesP").val(data.strTransfusiones);

			}

			*/

		}

	});

}



function makeTab(){

	$( "#divExpedienteTabs" ).tabs({

	  activate: function( event, ui ) {

		//console.log(ui);

		//console.log("id=" + ui.newPanel[0].id);

		//console.log("AQUI SE ACTIVA EL TAB");

		

		if(ui.newPanel[0].id=="tabDiagnostico"){



		}

	  },

	  beforeActivate: function( event, ui ) {

		console.log(ui);

		console.log("AQUI MANDO A GUARDAR LA INFO DEL TAB ANTERIOR");

		//guardarObjetivos();

	  }

	});	

}



function verDetallePac(){

	var visible = $('#divDetalleExtraPaciente').css("visibility");

	

	if(visible!="visible"){

		$('#divDetalleExtraPaciente').css({ "visibility":"visible", "display":"inherit" });

		$('#divExpedienteDetalle').find("#aVerDetalle").html("Ver menos");

	}else{

		$('#divDetalleExtraPaciente').css({ "visibility":"hidden", "display":"none" });

		$('#divExpedienteDetalle').find("#aVerDetalle").html("Ver m&aacute;s");

	}



}

//*********

var speech = null;



function activarMicro(strInput){

	

	var strIdBoton = $('#tabDiagnostico').find("#"+ strInput).prop("src");			

	

	if(strIdBoton.toLowerCase().indexOf("off")>=0){  //Contiene Off

		var newSrc = strIdBoton.replace("Off","On");

		

		speech = new webkitSpeechRecognition();

		speech.continuous = true;

		speech.interimResults = false;

		speech.lang = "es-ES";

	

		speech.onresult = function (event)

		{

			var textArea = document.getElementById("txtAreaDiagnostico");

			textArea.innerHTML += event.results[event.results.length-1][0].transcript;

		}

	

		speech.onend = function ()

		{

			var ahorita = new Date();

			console.log("FIN speech" + ahorita.getTime());

		}



		speech.start();

		console.log("Puede grabar");

		

	}else if(strIdBoton.toLowerCase().indexOf("on")>=0){  //Contiene On

	

		var newSrc = strIdBoton.replace("On","Off");

		speech.stop();

		var ahorita = new Date();

		console.log("Ya no puede grabar " + ahorita.getTime());

		

	}

	

	$('#tabDiagnostico').find("#"+ strInput).prop("src",newSrc);

	

	//var bContieneOff = $('#tabDiagnostico').find( strIdBoton).prop("src");	

}



function guardarHF(txtObj){

	console.log("guardarHF txtid: "+ txtObj.id);



	var strDiabetes = 	$('#divHeredofamiliares').find("#txtDiabetesHF").val();

	var strCardiopatias = 	$('#divHeredofamiliares').find("#txtCardiopatiasHF").val();

	var strHipertensionArterial = 	$('#divHeredofamiliares').find("#txtHipertensionHF").val();

	var strEnfermedadesTiroideas = 	$('#divHeredofamiliares').find("#txtTiroideasHF").val();

	var strOtros = 	$('#divHeredofamiliares').find("#txtOtrosHF").val();



	var strUrl = "data/dataExpediente.php?method=guardarHF&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;

	strUrl += "&strDiabetes="+ encodeURIComponent(strDiabetes);

	strUrl += "&strCardiopatias="+ encodeURIComponent(strCardiopatias);

	strUrl += "&strHipertensionArterial="+ encodeURIComponent(strHipertensionArterial);

	strUrl += "&strEnfermedadesTiroideas="+ encodeURIComponent(strEnfermedadesTiroideas);

	strUrl += "&strOtros="+ encodeURIComponent(strOtros);

	strUrl += "&rnd="+ Math.random();



	$.post(strUrl, function(dataNew){

		console.log(dataNew);

		/*var data = $.parseJSON(dataNew);

		arrEvents = data.Items;

		*/	

	});

}



function guardarP(txtObj){

	console.log("guardarP txtid: "+ txtObj.id);



	var strHospitalizacion = 	$('#divPatologicos').find("#txtHospitalizacionP").val();

	var strCirugias = 	$('#divPatologicos').find("#txtCirugiasP").val();

	var strDiabetes = 	$('#divPatologicos').find("#txtDiabetesP").val();

	var strTiroideas = 	$('#divPatologicos').find("#txtTiroideasP").val();

	var strHipertension = 	$('#divPatologicos').find("#txtHipertensionP").val();



	var strCardiopatias = 	$('#divPatologicos').find("#txtCardiopatiasP").val();

	var strTraumatismos = 	$('#divPatologicos').find("#txtTraumatismosP").val();

	var strCancer = 	$('#divPatologicos').find("#txtCancerP").val();

	var strTuberculosis = 	$('#divPatologicos').find("#txtTuberculosisP").val();

	var strTransfusiones = $('#divPatologicos').find("#txtTransfusionesP").val();



	var strUrl = "data/dataExpediente.php?method=guardarP&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;

	strUrl += "&strHospitalizacion="+ encodeURIComponent(strHospitalizacion);

	strUrl += "&strCirugias="+ encodeURIComponent(strCirugias);

	strUrl += "&strDiabetes="+ encodeURIComponent(strDiabetes);

	strUrl += "&strTiroideas="+ encodeURIComponent(strTiroideas);

	strUrl += "&strHipertension="+ encodeURIComponent(strHipertension);

	strUrl += "&strCardiopatias="+ encodeURIComponent(strCardiopatias);

	strUrl += "&strTraumatismos="+ encodeURIComponent(strTraumatismos);

	strUrl += "&strCancer="+ encodeURIComponent(strCancer);

	strUrl += "&strTuberculosis="+ encodeURIComponent(strTuberculosis);

	strUrl += "&strTransfusiones="+ strTransfusiones;

	strUrl += "&rnd="+ Math.random();



	$.post(strUrl, function(dataNew){

		console.log(dataNew);

		/*var data = $.parseJSON(dataNew);

		arrEvents = data.Items;

		*/	

	});

}



/*function getCitasClienteVista(fecha){

	

	var strUrl = "data/dataCitas.php?method=consultar&method2=getdia&intCliente="+ intClienteSeleccionado +"&datFecha="+ fecha +"&rnd="+ Math.random();

	

	$.post(strUrl, function(dataNew){

		var ul = $("#ulCitasVistaRapida");

		ul.empty();

		

		var sHtml = "";	

		var data = $.parseJSON(dataNew);

		

		arrEvents = data.Items;

		

		if(arrEvents.length>0){

			arrEjerciciosRutina = arrEvents;

			

			sHtml = "<table class='clsTblRutinasVistaRapida' width='100%' border='0'>";

			sHtml += "<tr>";

			sHtml += "<th width='8%'>&nbsp;</th>";

			

			sHtml += "<th width='1.9%'>&nbsp;</th>";

			

			sHtml += "<th width='48%' height='40'>Ejercicio</th><th width='14%' style='text-align:center;'>Musculo</th><th width='12%'>Equipo</th><th width=''>Tipo</th>";

			sHtml += "<th width='4%'>&nbsp;</th>";

			sHtml += "</tr>";

			sHtml += "</table>";

			

			ul.append("<li>"+ sHtml +"</li>");

				

			for(var i=0; i<arrEvents.length;i++){

				var sTr = "";

				var strEjercicio = arrEvents[i].strEjercicio;

				if(strEjercicio.length>45){

					strEjercicio = strEjercicio.substr(0,42) + "...";

				}

				sTr = "<table class='clsTblRutinasVistaRapida' width='100%' border='0'>";

				

				sTr += "<tr id='tr_"+ arrEvents[i].intEjercicio +"' class='clsTblRutinasVistaRapidaTd1'>";

				

				  sTr += "<td width='8%'>";

					  sTr += "<a href='javascript: vistaRapidaEjercicio(" + arrEvents[i].intEjercicio + ", 1)'><img src='" + arrEvents[i].strUrlImagen1 + "' width='87' height='75'/></a>";

				  sTr += "</td>";

				  

				  if(objUsuario.tipo==3){

					  var sChecked = "";

					  if(arrEvents[i].bitRealizada==1){

						sChecked = " checked";

					  }

					  sTr += "<td width='2%'><input type='checkbox' onchange='onchangeCheck(1," + arrEvents[i].intId + ", this)' " + sChecked + " class='clsCheckboxes'/></td>";

				  }

				  				  

				  sTr += "<td width='14%' style='text-align:center;'><img src='images/musculos/" + arrEvents[i].strMusculo + "-"+ objUsuario.sexo +".png' width='80' height='80'/><br/><b >" + arrEvents[i].strMusculo + "</b></td>";

				  sTr += "<td width='12%'><b>" + arrEvents[i].strEquipo + "</b></td>";

				  sTr += "<td width='12%'><b>" + arrTiposEjer[arrEvents[i].intTipo] + "</b></td>";

				  

				sTr += "<td ><a href='javascript: redactarMsg(1, "+  arrEvents[i].intEjercicio +",\""+ strEjercicio +"\");'><img src='images/icoMsg.png' /></a></td>";

				  

				sTr += "</tr>"

				sTr += "</table>";

				

				ul.append("<li id='li_"+ arrEvents[i].intEjercicio +"' class='clsLiEjeRut'>"+ sTr +"</li>");

				ul.append("<li id='liDetalle_"+ arrEvents[i].intEjercicio +"' class='clsLiEjeRut' ></li>");





			}//for

						

			$('#divExpedientes').css({ "visibility":"visible", "display":"inherit" });

			

		}else{

			$('#divExpedientes').css({ "visibility":"hidden", "display":"none" });

		}

				

	});

}

*/



function limpiarTextboxesTABEXP(){

	$( "#dialog-ejercicio" ).find( "#txtintEjercicio" ).val('');

	$( "#dialog-ejercicio" ).find( "#txtNombre" ).val('');

	$( "#dialog-ejercicio" ).find( "#txtPosicionInicial" ).val('');

	$( "#dialog-ejercicio" ).find( "#txtDescripcion" ).val('');

	$( "#dialog-ejercicio" ).find( "#txtNotas" ).val('');

	$( "#dialog-ejercicio" ).find( "#selectMusculo" ).val('');

	$( "#dialog-ejercicio" ).find( "#selectActivo" ).val('');

	

	if(objUsuario.tipo==1){

		limpiarCheckboxes();

	}



	$( "#imgejercicio1" ).attr("src", '');

	$( "#imgejercicio2" ).attr("src", '');

	$( "#imgejercicio3" ).attr("src", '');

	$( "#imgejercicio4" ).attr("src", '');

	

	currentStrId = "";

	

	setUrlVideo('');

	

}



function oncheck(thisObj){

	//console.log(thisObj);

	var idTextA = thisObj.id;

	//console.log(idTextA);

	idTextA = idTextA.replace("chk", "txt");

	//console.log("oncheck, idTextA: "+ idTextA);

	if(thisObj.checked){		

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).css({'visibility':'visible','display':'inherit'});

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).css({'background-color':'red'});

		//$( "#textADiabetesHF" ).css({'background-color':'red'});

		$( "#divExpedienteTabs" ).find( "#" + idTextA).removeClass('clsTextAHidden').addClass('clsTextAVisible');

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).addClass('clsTextAVisible');

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).addClass('clsTextAVisible');

	}else{

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).css({'visibility':'hidden','display':'none'});

		$( "#divExpedienteTabs" ).find( "#" + idTextA).removeClass('clsTextAVisible').addClass('clsTextAHidden');

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).addClass('clsTextAHidden');

	}

}



function onchangeValue(objthis){

	var id = objthis.id;

	var valor = objthis.value.toLowerCase();

	

	if(valor=="f"){

		$( "#tabHistorial" ).find( "#divGinecoobstetricos").css({"visibility":"visible", "display":"block"});

	}else if(valor=="m"){

		$( "#tabHistorial" ).find( "#divGinecoobstetricos").css({"visibility":"hidden", "display":"none"});

	}

}